---
updatedAt: 2026-04-24T07:17:22.000Z
agentTools:
  projectIndex: https://apidocs.pearch.ai/llms.txt
---

# Enrich profile


- Test this endpoint in the [playground](https://chat.pearch.ai/api-enrichment)
- Check out official [Python client](https://github.com/Pearch-ai/pearch-client)        

Retrieve an enriched profile using a LinkedIn profile ID, profile UUID, or email address. A LinkedIn profile ID is the part after `https://www.linkedin.com/in/` in the profile URL.

Provide a LinkedIn profile ID in `docid`, a profile UUID in either `uuid` or `docid`, or an `email`. If only `email` is provided, the system attempts to resolve it to a LinkedIn profile. A UUID in either field uses masked profile enrichment and includes the full profile and available emails and phones.

Set `fast=true` to prioritize speed when retrieving requested emails and phone numbers. This can reduce response time but may return fewer contacts than standard enrichment. The default is `false`. This option is separate from `/v2/search`'s `type`.

**Costs: A UUID in `uuid` or `docid` costs 25 credits for masked enrichment. For a LinkedIn slug in `docid`, costs are additive: `with_profile` costs 1 credit, `high_freshness` costs 2 credits, and `reveal_emails` and `reveal_phones` cost 6 credits each when contact data is found. Looking up a profile by `email` costs 6 credits and is separate from `reveal_emails`.**

**Rate limit: 60 requests per user per 60 seconds.** When the rate limit is exceeded, the API returns HTTP 429 with details about the triggered window, current value, and limit.


<Cards columns={2}>
  <Card title="PRICING" href="https://pearch.ai/pricing" icon="fa-money-bill" target="_blank">
    CHECK HOW OUR CREDIT SYSTEM WORKS
  </Card>

  <Card title="KNOWLEDGE BASE" href="https://pearch.ai/articles" icon="fa-book" target="_blank">
    Insights and Research from PEARCH AI team
  </Card>
</Cards>

<BookDemoButton label="Book a demo" sublabel="15 minutes • Calendly" size="lg" fullWidth={false} align="center" />

# OpenAPI definition

```json
{
  "openapi": "3.0.4",
  "info": {
    "title": "Pearch.AI API",
    "description": "Pearch.AI API. You need to pass API key as 'Authorization: Bearer <API_KEY>' header.",
    "version": "2.0"
  },
  "x-readme": {
    "explorer-enabled": true,
    "samples-languages": [
      "shell"
    ],
    "proxy-enabled": false
  },
  "servers": [
    {
      "url": "https://api.pearch.ai/",
      "description": "Main server"
    }
  ],
  "paths": {
    "/v1/profile": {
      "get": {
        "operationId": "get_v1-profile",
        "summary": "Enrich profile",
        "tags": [
          "Enrichment"
        ],
        "description": "\n- Test this endpoint in the [playground](https://chat.pearch.ai/api-enrichment)\n- Check out official [Python client](https://github.com/Pearch-ai/pearch-client)        \n\nRetrieve an enriched profile using a LinkedIn profile ID, profile UUID, or email address. A LinkedIn profile ID is the part after `https://www.linkedin.com/in/` in the profile URL.\n\nProvide a LinkedIn profile ID in `docid`, a profile UUID in either `uuid` or `docid`, or an `email`. If only `email` is provided, the system attempts to resolve it to a LinkedIn profile. A UUID in either field uses masked profile enrichment and includes the full profile and available emails and phones.\n\nSet `fast=true` to prioritize speed when retrieving requested emails and phone numbers. This can reduce response time but may return fewer contacts than standard enrichment. The default is `false`. This option is separate from `/v2/search`'s `type`.\n\n**Costs: A UUID in `uuid` or `docid` costs 25 credits for masked enrichment. For a LinkedIn slug in `docid`, costs are additive: `with_profile` costs 1 credit, `high_freshness` costs 2 credits, and `reveal_emails` and `reveal_phones` cost 6 credits each when contact data is found. Looking up a profile by `email` costs 6 credits and is separate from `reveal_emails`.**\n\n**Rate limit: 60 requests per user per 60 seconds.** When the rate limit is exceeded, the API returns HTTP 429 with details about the triggered window, current value, and limit.\n",
        "security": [
          {
            "bearerAuth": []
          }
        ],
        "parameters": [
          {
            "name": "docid",
            "in": "query",
            "required": false,
            "schema": {
              "type": "string"
            },
            "description": "LinkedIn profile slug (the part after `https://www.linkedin.com/in/`) or a profile UUID. Slugs use additive profile and contact pricing. A UUID uses masked enrichment, as with `uuid`. **Cost: 25 credits for UUID lookup**",
            "example": "hrachik"
          },
          {
            "name": "uuid",
            "in": "query",
            "required": false,
            "schema": {
              "type": "string",
              "format": "uuid"
            },
            "description": "Profile UUID, including one from a masked search result. Uses masked enrichment, as does a UUID in `docid`. **Cost: 25 credits for UUID lookup**",
            "example": "550e8400-e29b-41d4-a716-446655440000"
          },
          {
            "name": "email",
            "in": "query",
            "required": false,
            "schema": {
              "type": "string",
              "format": "email"
            },
            "description": "Email address to look up. If provided without `docid`, the system will resolve the email to a LinkedIn profile. This lookup is separate from `reveal_emails`. **Cost: 6 credits for email lookup**",
            "example": "mz@pearch.ai"
          },
          {
            "name": "high_freshness",
            "in": "query",
            "required": false,
            "schema": {
              "type": "boolean"
            },
            "description": "Enable real-time profile updates for fresher data. This downloads the most recent copies of profiles directly from source websites in realtime (e.g. Linkedin). If you are ok with profiles that may be a few months outdated, turn off high_freshness. Refreshed roles include `employment_type` when the source provides it. **Cost: 2 credits**",
            "example": false
          },
          {
            "name": "fast",
            "in": "query",
            "required": false,
            "schema": {
              "type": "boolean",
              "default": false
            },
            "description": "Prioritize speed when retrieving requested emails and phone numbers. Can reduce response time, but may return fewer contacts than standard enrichment. This option is separate from `/v2/search`'s `type`.",
            "example": false
          },
          {
            "name": "reveal_emails",
            "in": "query",
            "required": false,
            "schema": {
              "type": "boolean"
            },
            "description": "Include email addresses in the profile if available. **Cost: 6 credits, only charged if the profile has at least one email address**. Deprecated name: `show_emails`",
            "example": false
          },
          {
            "name": "reveal_phones",
            "in": "query",
            "required": false,
            "schema": {
              "type": "boolean"
            },
            "description": "Include phone numbers in the profile if available. **Cost: 6 credits, only charged if the profile has at least one phone number**. Deprecated name: `show_phone_numbers`",
            "example": false
          },
          {
            "name": "with_profile",
            "in": "query",
            "required": false,
            "schema": {
              "type": "boolean"
            },
            "description": "Include full profile data in the response. **Cost: 1 credit**",
            "example": false
          }
        ],
        "responses": {
          "200": {
            "description": "Profile retrieved successfully",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "uuid": {
                      "type": "string",
                      "description": "Unique identifier for the query",
                      "example": "ec191bf9-99ff-4989-8383-c97c71fafb6d"
                    },
                    "profile": {
                      "$ref": "#/components/schemas/Profile"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Invalid parameter values or missing required parameters. At least one of `docid`, `uuid`, or `email` must be provided. JSON body contains the error message."
          },
          "401": {
            "description": "Invalid API key"
          },
          "404": {
            "description": "Profile not found"
          },
          "429": {
            "description": "Rate limit exceeded. JSON body contains the triggered window, current value, and limit."
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "Language": {
        "type": "object",
        "description": "Language with proficiency level",
        "properties": {
          "language": {
            "type": "string",
            "description": "Language name",
            "example": "English"
          },
          "proficiency": {
            "type": "string",
            "description": "Proficiency level: A1, A2, B1, B2, C1, C2",
            "enum": [
              "A1",
              "A2",
              "B1",
              "B2",
              "C1",
              "C2",
              "unknown"
            ],
            "example": "C1"
          }
        }
      },
      "FundingRound": {
        "type": "object",
        "description": "Information about a company's funding round",
        "properties": {
          "value_usd": {
            "type": "integer",
            "description": "Funding amount in USD",
            "example": 2000000
          },
          "date": {
            "type": "string",
            "format": "date",
            "description": "Date of the funding round",
            "example": "2023-06-15"
          },
          "round_name": {
            "type": "string",
            "description": "Name of the funding round",
            "example": "Series A"
          }
        }
      },
      "CompanyInfo": {
        "type": "object",
        "description": "Comprehensive company information and metadata",
        "properties": {
          "name": {
            "type": "string",
            "description": "The name of the company",
            "example": "Dragoonitcn"
          },
          "domain": {
            "type": "string",
            "description": "Company's primary domain",
            "example": "dragoonitcn.com"
          },
          "website": {
            "type": "string",
            "description": "The official website of the company",
            "example": "http://www.dragoonitcn.com"
          },
          "linkedin_url": {
            "type": "string",
            "description": "The LinkedIn URL of the company",
            "example": "https://linkedin.com/company/dragoon-itcn"
          },
          "linkedin_slug": {
            "type": "string",
            "description": "LinkedIn slug identifier",
            "example": "dragoon-itcn"
          },
          "crunchbase_url": {
            "type": "string",
            "description": "The Crunchbase URL of the company",
            "example": "https://www.crunchbase.com/organization/dragoonitcn"
          },
          "social_urls": {
            "type": "array",
            "description": "List of social media URLs",
            "items": {
              "type": "string"
            },
            "example": [
              "https://twitter.com/dragoonitcn",
              "https://facebook.com/pages/Dragoonitcn/125328487521849"
            ]
          },
          "emails": {
            "type": "array",
            "description": "List of company email addresses",
            "items": {
              "type": "string"
            },
            "example": [
              "contact@dragoonitcn.com",
              "sales@dragoonitcn.com"
            ]
          },
          "phone_number": {
            "type": "string",
            "description": "Company phone number",
            "example": "+1-555-123-4567"
          },
          "phone_numbers": {
            "type": "array",
            "description": "List of company phone numbers",
            "items": {
              "type": "string"
            },
            "example": [
              "+1-555-123-4567",
              "+1-555-987-6543"
            ]
          },
          "short_address": {
            "type": "string",
            "description": "Brief address information",
            "example": "Dayton, OH"
          },
          "locations": {
            "type": "array",
            "description": "List of company locations",
            "items": {
              "type": "string"
            },
            "example": [
              "Dayton, Ohio",
              "San Francisco, CA"
            ]
          },
          "type": {
            "type": "string",
            "description": "Type of company",
            "example": "Private"
          },
          "description": {
            "type": "string",
            "description": "A brief description of the company's business",
            "example": "Targeting Complex Aerospace Issues with Precision Test Tools"
          },
          "industries": {
            "type": "array",
            "description": "The industries the company operates in",
            "items": {
              "type": "string",
              "enum": [
                "Archiving Service",
                "Call Center",
                "Collection Agency",
                "College Recruiting",
                "Courier Service",
                "Debt Collections",
                "Delivery",
                "Document Preparation",
                "Employee Benefits",
                "Extermination Service",
                "Facilities Support Services",
                "Housekeeping Service",
                "Human Resources",
                "Knowledge Management",
                "Office Administration",
                "Packaging Services",
                "Physical Security",
                "Project Management",
                "Staffing Agency",
                "Trade Shows",
                "Virtual Workforce",
                "Ad Exchange",
                "Ad Network",
                "Ad Retargeting",
                "Ad Server",
                "Ad Targeting",
                "Advertising",
                "Advertising Platforms",
                "Affiliate Marketing",
                "Local Advertising",
                "Mobile Advertising",
                "Native Advertising",
                "Outdoor Advertising",
                "SEM",
                "Social Media Advertising",
                "Video Advertising",
                "Agriculture",
                "AgTech",
                "Animal Feed",
                "Aquaculture",
                "Equestrian",
                "Farming",
                "Forestry",
                "Horticulture",
                "Hydroponics",
                "Livestock",
                "App Discovery",
                "Apps",
                "Consumer Applications",
                "Enterprise Applications",
                "Mobile Apps",
                "Reading Apps",
                "Web Apps",
                "Artificial Intelligence (AI)",
                "Generative AI",
                "Intelligent Systems",
                "Machine Learning",
                "Natural Language Processing",
                "Predictive Analytics",
                "Robotic Process Automation (RPA)",
                "Bioinformatics",
                "Biometrics",
                "Biopharma",
                "Biotechnology",
                "Genetics",
                "Life Science",
                "Neuroscience",
                "Quantified Self",
                "Bitcoin",
                "Blockchain",
                "Cryptocurrency",
                "Decentralized Finance (DeFi)",
                "Ethereum",
                "Non-Fungible Token (NFT)",
                "Smart Contracts",
                "Web3",
                "Apparel",
                "Fashion",
                "Laundry and Dry-cleaning",
                "Lingerie",
                "Shoes",
                "Auctions",
                "Classifieds",
                "Collectibles",
                "Consumer Reviews",
                "Coupons",
                "E-Commerce",
                "E-Commerce Platforms",
                "Flash Sale",
                "Gift",
                "Gift Card",
                "Gift Exchange",
                "Gift Registry",
                "Group Buying",
                "Local Shopping",
                "Made to Order",
                "Marketplace",
                "Office Supplies",
                "Online Auctions",
                "Personalization",
                "Point of Sale",
                "Price Comparison",
                "Rental",
                "Retail",
                "Retail Technology",
                "Secondhand Goods",
                "Shopping",
                "Shopping Mall",
                "Social Shopping",
                "Sporting Goods",
                "Vending and Concessions",
                "Virtual Goods",
                "Wholesale",
                "Adult",
                "Baby",
                "Cannabis",
                "Children",
                "Communities",
                "Dating",
                "Elderly",
                "Family",
                "Funerals",
                "Humanitarian",
                "Leisure",
                "LGBT",
                "Lifestyle",
                "Men's",
                "Online Forums",
                "Parenting",
                "Pet",
                "Private Social Networking",
                "Professional Networking",
                "Q&A",
                "Religion",
                "Retirement",
                "Sex Industry",
                "Sex Tech",
                "Social",
                "Social Entrepreneurship",
                "Teenagers",
                "Virtual World",
                "Wedding",
                "Women's",
                "Young Adults",
                "Computer",
                "Consumer Electronics",
                "Drones",
                "Electronics",
                "Google Glass",
                "Mobile Devices",
                "Nintendo",
                "Playstation",
                "Roku",
                "Smart Home",
                "Wearables",
                "Windows Phone",
                "Xbox",
                "Beauty",
                "Card and Board Games",
                "Cleaning Products",
                "Comics",
                "Consumer Goods",
                "Cosmetics",
                "DIY",
                "Eyewear",
                "Fast-Moving Consumer Goods",
                "Flowers",
                "Furniture",
                "Green Consumer Goods",
                "Handmade",
                "Home Appliances",
                "Jewelry",
                "Personal Care and Hygiene",
                "Tobacco",
                "Toys",
                "Blogging Platforms",
                "Books",
                "Content Delivery Network",
                "Content Discovery",
                "Content Syndication",
                "Copywriting",
                "Creative Agency",
                "DRM",
                "EBooks",
                "Journalism",
                "News",
                "Photo Editing",
                "Photo Sharing",
                "Photography",
                "Printing",
                "Publishing",
                "Social Bookmarking",
                "Video Editing",
                "Video Streaming",
                "A/B Testing",
                "Analytics",
                "Application Performance Management",
                "Big Data",
                "Business Intelligence",
                "Consumer Research",
                "Data Collection and Labeling",
                "Data Governance",
                "Data Integration",
                "Data Management",
                "Data Mining",
                "Data Visualization",
                "Database",
                "Facial Recognition",
                "Geospatial",
                "Image Recognition",
                "Location Based Services",
                "Market Research",
                "Product Research",
                "Speech Recognition",
                "Test and Measurement",
                "Text Analytics",
                "Usability Testing",
                "CAD",
                "Graphic Design",
                "Human Computer Interaction",
                "Industrial Design",
                "Interior Design",
                "Mechanical Design",
                "Product Design",
                "UX Design",
                "Web Design",
                "Alumni",
                "Charter Schools",
                "Continuing Education",
                "Corporate Training",
                "E-Learning",
                "EdTech",
                "Education",
                "Edutainment",
                "Higher Education",
                "Language Learning",
                "MOOC",
                "Music Education",
                "Personal Development",
                "Primary Education",
                "Secondary Education",
                "Skill Assessment",
                "Special Education",
                "STEM Education",
                "Textbook",
                "Training",
                "Tutoring",
                "Vocational Education",
                "Battery",
                "Biofuel",
                "Biomass Energy",
                "Clean Energy",
                "Electrical Distribution",
                "Energy",
                "Energy Efficiency",
                "Energy Management",
                "Energy Storage",
                "Fossil Fuels",
                "Fuel",
                "Fuel Cell",
                "Geothermal Energy",
                "Hydroelectric",
                "Oil and Gas",
                "Power Grid",
                "Renewable Energy",
                "Solar",
                "Wind Energy",
                "Concerts",
                "Event Management",
                "Event Promotion",
                "Events",
                "Nightclubs",
                "Nightlife",
                "Reservations",
                "Ticketing",
                "Accounting",
                "Angel Investment",
                "Asset Management",
                "Auto Insurance",
                "Banking",
                "Bookkeeping and Payroll",
                "Commercial Insurance",
                "Commercial Lending",
                "Consumer Lending",
                "Credit",
                "Credit Bureau",
                "Credit Cards",
                "Crowdfunding",
                "Debit Cards",
                "Finance",
                "Financial Exchanges",
                "Financial Services",
                "FinTech",
                "Foreign Exchange Trading",
                "Fraud Detection",
                "Funding Platform",
                "Health Insurance",
                "Hedge Funds",
                "Impact Investing",
                "Incubators",
                "Insurance",
                "InsurTech",
                "Leasing",
                "Lending",
                "Life Insurance",
                "Micro Lending",
                "Mobile Payments",
                "Payments",
                "Personal Finance",
                "Prediction Markets",
                "Prepaid Cards",
                "Property Insurance",
                "Real Estate Investment",
                "Stock Exchanges",
                "Tax Consulting",
                "Tax Preparation",
                "Trading Platform",
                "Transaction Processing",
                "Venture Capital",
                "Virtual Currency",
                "Wealth Management",
                "Alternative Protein",
                "Bakery",
                "Brewing",
                "Catering",
                "Coffee",
                "Confectionery",
                "Cooking",
                "Craft Beer",
                "Dairy",
                "Dietary Supplements",
                "Distillery",
                "Farmers Market",
                "Food and Beverage",
                "Food Delivery",
                "Food Processing",
                "Food Trucks",
                "Fruit",
                "Grocery",
                "Herbs and Spices",
                "Meat and Poultry",
                "Nutrition",
                "Organic Food",
                "Plant-Based Foods",
                "Recipes",
                "Restaurants",
                "Seafood",
                "Snack Food",
                "Tea",
                "Wine And Spirits",
                "Winery",
                "Casual Games",
                "Console Games",
                "Contests",
                "Fantasy Sports",
                "Gambling",
                "Gamification",
                "Gaming",
                "MMO Games",
                "Online Games",
                "PC Games",
                "Serious Games",
                "Video Games",
                "CivicTech",
                "Government",
                "GovTech",
                "Law Enforcement",
                "Military",
                "National Security",
                "Politics",
                "Public Safety",
                "Social Assistance",
                "3D Technology",
                "Application Specific Integrated Circuit (ASIC)",
                "Audio/Visual Equipment",
                "Augmented Reality",
                "Cloud Infrastructure",
                "Communication Hardware",
                "Communications Infrastructure",
                "Computer Vision",
                "Data Center",
                "Data Center Automation",
                "Data Storage",
                "Drone Management",
                "DSP",
                "Electronic Design Automation (EDA)",
                "Embedded Systems",
                "Field-Programmable Gate Array (FPGA)",
                "Flash Storage",
                "GPS",
                "GPU",
                "Hardware",
                "Laser",
                "Lighting",
                "Network Hardware",
                "NFC",
                "Optical Communication",
                "Private Cloud",
                "Remote Sensing",
                "RFID",
                "RISC",
                "Robotics",
                "Satellite Communication",
                "Semiconductor",
                "Sensor",
                "Telecommunications",
                "Video Conferencing",
                "Virtual Reality",
                "Virtualization",
                "Wireless",
                "Addiction Treatment",
                "Alternative Medicine",
                "Assisted Living",
                "Assistive Technology",
                "Child Care",
                "Clinical Trials",
                "Cosmetic Surgery",
                "Dental",
                "Diabetes",
                "Elder Care",
                "Electronic Health Record (EHR)",
                "Emergency Medicine",
                "Fertility",
                "First Aid",
                "Health Care",
                "Health Diagnostics",
                "Home Health Care",
                "Hospital",
                "Medical",
                "Medical Device",
                "Mental Health",
                "mHealth",
                "Nursing and Residential Care",
                "Nutraceutical",
                "Oncology",
                "Outpatient Care",
                "Personal Health",
                "Pharmaceutical",
                "Precision Medicine",
                "Primary and Urgent Care",
                "Psychology",
                "Rehabilitation",
                "Telehealth",
                "Therapeutics",
                "Veterinary",
                "Wellness",
                "Business Information Systems",
                "Cloud Data Services",
                "Cloud Management",
                "Cloud Security",
                "CMS",
                "Contact Management",
                "CRM",
                "Cyber Security",
                "DevOps",
                "Document Management",
                "E-Signature",
                "Email",
                "Identity Management",
                "Information and Communications Technology (ICT)",
                "Information Services",
                "Information Technology",
                "Intrusion Detection",
                "IT Infrastructure",
                "IT Management",
                "Management Information Systems",
                "Messaging",
                "Network Security",
                "Penetration Testing",
                "Reputation",
                "Sales Automation",
                "Scheduling",
                "Social CRM",
                "Spam Filtering",
                "Technical Support",
                "Unified Communications",
                "Video Chat",
                "VoIP",
                "Cloud Computing",
                "Cloud Storage",
                "Darknet",
                "Domain Registrar",
                "Ediscovery",
                "Internet",
                "Internet of Things",
                "ISP",
                "Music Streaming",
                "Online Portals",
                "Product Search",
                "Search Engine",
                "Semantic Search",
                "Semantic Web",
                "SEO",
                "SMS",
                "Social Media",
                "Social Media Management",
                "Social Network",
                "Vertical Search",
                "Visual Search",
                "Web Browsers",
                "Web Hosting",
                "3D Printing",
                "Advanced Materials",
                "Foundries",
                "Industrial",
                "Industrial Automation",
                "Industrial Engineering",
                "Industrial Manufacturing",
                "Machinery Manufacturing",
                "Manufacturing",
                "Paper Manufacturing",
                "Plastics and Rubber Manufacturing",
                "Textiles",
                "Wood Processing",
                "Advice",
                "Animation",
                "Art",
                "Audio",
                "Audiobooks",
                "Broadcasting",
                "Celebrity",
                "Content",
                "Content Creators",
                "Digital Entertainment",
                "Digital Media",
                "Film",
                "Film Distribution",
                "Film Production",
                "Guides",
                "In-Flight Entertainment",
                "Independent Music",
                "Internet Radio",
                "Media and Entertainment",
                "Metaverse",
                "Motion Capture",
                "Music",
                "Music Label",
                "Music Venues",
                "Musical Instruments",
                "Performing Arts",
                "Podcast",
                "Social News",
                "Theatre",
                "TV",
                "TV Production",
                "Video",
                "Video on Demand",
                "Meeting Software",
                "Wired Telecommunications",
                "Android",
                "iOS",
                "Mobile",
                "Audio Recording and Production",
                "Mineral",
                "Mining",
                "Mining Technology",
                "Natural Resources",
                "Precious Metals",
                "Timber",
                "Water",
                "Indoor Positioning",
                "Mapping Services",
                "Navigation",
                "Association",
                "B2B",
                "B2C",
                "Charity",
                "Collaboration",
                "Collaborative Consumption",
                "Commercial",
                "Consumer",
                "Crowdsourcing",
                "Customer Service",
                "Desktop Apps",
                "Emerging Markets",
                "Enterprise",
                "Franchise",
                "Freemium",
                "Generation Y",
                "Generation Z",
                "Homeless Shelter",
                "Infrastructure",
                "LGBT Millennials",
                "Non Profit",
                "Peer to Peer",
                "Professional Services",
                "Real Time",
                "Service Industry",
                "Sharing Economy",
                "Small and Medium Businesses",
                "Social Impact",
                "Subscription Service",
                "Underserved Children",
                "Universities",
                "Billing",
                "Facebook",
                "Google",
                "Linux",
                "macOS",
                "Operating Systems",
                "Tizen",
                "Twitter",
                "WebOS",
                "Windows",
                "Corrections Facilities",
                "Homeland Security",
                "Privacy",
                "Security",
                "Advocacy",
                "Business Development",
                "Career Planning",
                "Compliance",
                "Consulting",
                "Employment",
                "Environmental Consulting",
                "Field Support",
                "Freelance",
                "Innovation Management",
                "Intellectual Property",
                "Legal",
                "Legal Tech",
                "Management Consulting",
                "Outsourcing",
                "Quality Assurance",
                "Recruiting",
                "Risk Management",
                "Social Recruiting",
                "Translation Service",
                "Architecture",
                "Building Maintenance",
                "Building Material",
                "Commercial Real Estate",
                "Construction",
                "Coworking",
                "Facility Management",
                "Green Building",
                "Heating",
                "Ventilation",
                "and Air Conditioning (HVAC)",
                "Home and Garden",
                "Home Decor",
                "Home Improvement",
                "Home Renovation",
                "Home Services",
                "Janitorial Service",
                "Landscaping",
                "Mortgage",
                "Property Development",
                "Property Management",
                "PropTech",
                "Real Estate",
                "Real Estate Brokerage",
                "Rental Property",
                "Residential",
                "Self-Storage",
                "Smart Building",
                "Smart Cities",
                "Timeshare",
                "Vacation Rental",
                "App Marketing",
                "Brand Marketing",
                "Cause Marketing",
                "Content Marketing",
                "Digital Marketing",
                "Digital Signage",
                "Direct Marketing",
                "Direct Sales",
                "Email Marketing",
                "Lead Generation",
                "Lead Management",
                "Local",
                "Local Business",
                "Loyalty Programs",
                "Marketing",
                "Marketing Automation",
                "Multi-level Marketing",
                "Personal Branding",
                "Public Relations",
                "Sales",
                "Sales Enablement",
                "Social Media Marketing",
                "Sponsorship",
                "Aerospace",
                "Chemical",
                "Chemical Engineering",
                "Civil Engineering",
                "Environmental Engineering",
                "Marine Technology",
                "Mechanical Engineering",
                "Nanotechnology",
                "Nuclear",
                "Quantum Computing",
                "Software Engineering",
                "Browser Extensions",
                "Business Process Automation (BPA)",
                "Chatbot",
                "Consumer Software",
                "Developer APIs",
                "Developer Platform",
                "Developer Tools",
                "Embedded Software",
                "Enterprise Resource Planning (ERP)",
                "Enterprise Software",
                "File Sharing",
                "IaaS",
                "Open Source",
                "PaaS",
                "Presentation Software",
                "Presentations",
                "Productivity Tools",
                "QR Codes",
                "SaaS",
                "Simulation",
                "SNS",
                "Software",
                "Task Management",
                "Virtual Assistant",
                "Virtual Desktop",
                "Web Development",
                "American Football",
                "Baseball",
                "Basketball",
                "Boating",
                "Cricket",
                "Cycling",
                "Diving",
                "eSports",
                "Fitness",
                "Golf",
                "Hockey",
                "Hunting",
                "Motorsports",
                "Outdoors",
                "Racing",
                "Recreation",
                "Rugby",
                "Sailing",
                "Skiing",
                "Soccer",
                "Sports",
                "Sports Leagues and Teams",
                "Surfing",
                "Swimming",
                "Table Tennis",
                "Tennis",
                "Ultimate Frisbee",
                "Volley Ball",
                "Carbon Capture",
                "CleanTech",
                "GreenTech",
                "Organic",
                "Pollution Control",
                "Recycling",
                "Sustainability",
                "Waste Management",
                "Water Purification",
                "Wildlife Conservation",
                "Air Transportation",
                "Automotive",
                "Autonomous Vehicles",
                "Car Sharing",
                "Charging Infrastructure",
                "Delivery Service",
                "Electric Vehicle",
                "Ferry Service",
                "Fleet Management",
                "Freight Service",
                "Last Mile Transportation",
                "Limousine Service",
                "Logistics",
                "Marine Transportation",
                "Parking",
                "Ports and Harbors",
                "Procurement",
                "Public Transportation",
                "Railroad",
                "Recreational Vehicles",
                "Ride Sharing",
                "Same Day Delivery",
                "Shipping",
                "Shipping Broker",
                "Space Travel",
                "Supply Chain Management",
                "Taxi Service",
                "Transportation",
                "Warehouse Automation",
                "Warehousing",
                "Water Transportation",
                "Adventure Travel",
                "Amusement Park and Arcade",
                "Business Travel",
                "Casino",
                "Hospitality",
                "Hotel",
                "Museums and Historical Sites",
                "Parks",
                "Resorts",
                "Tour Operator",
                "Tourism",
                "Travel",
                "Travel Accommodations",
                "Travel Agency",
                "Administrative",
                "Apparel & Fashion",
                "Arts",
                "Associations",
                "Automation",
                "Aviation",
                "Beverage Manufacturing",
                "Broadcast Media",
                "Business",
                "Business Supplies and Equipment",
                "Computer Hardware",
                "Computer Networking",
                "Computer Software",
                "Consumer Services",
                "Defense",
                "Design",
                "Digital Accessibility",
                "Education Management",
                "Electric Power",
                "Electrical/Electronic Manufacturing",
                "Emergency",
                "Engineering",
                "Entertainment",
                "Events Services",
                "Facilities",
                "Food Production",
                "IT Services",
                "Import/Export",
                "International Affairs",
                "International Trade and Development",
                "Investment Management",
                "Judiciary",
                "Legal Services",
                "Libraries",
                "Machinery",
                "Maintenance",
                "Mapping",
                "Maritime",
                "Media",
                "Media Production",
                "Motion Pictures and Film",
                "Networking",
                "Non-profit Organizations",
                "Outsourcing/Offshoring",
                "Personal Care",
                "Pharmaceuticals",
                "Philanthropy",
                "Postal",
                "Professional Training",
                "Professional Training & Coaching",
                "Program Management",
                "Public Policy",
                "Religious Institutions",
                "Repair and Maintenance",
                "Research",
                "Safety",
                "Services",
                "Shipbuilding",
                "Social Services",
                "Software Development",
                "Staffing",
                "Think Tanks",
                "Trade",
                "Translation",
                "Urban Planning",
                "Utilities",
                "Venture Capital & Private Equity",
                "Vocational",
                "Women's Handbag Manufacturing",
                "Writing"
              ]
            },
            "example": [
              "Aerospace",
              "GreenTech",
              "Information Technology"
            ]
          },
          "specialties": {
            "type": "array",
            "description": "Company specialties",
            "items": {
              "type": "string"
            },
            "example": [
              "Precision Testing",
              "Aerospace Solutions"
            ]
          },
          "keywords": {
            "type": "array",
            "description": "Keywords associated with the company's operations",
            "items": {
              "type": "string"
            },
            "example": [
              "cable fault isolation",
              "tdr",
              "comint"
            ]
          },
          "technologies": {
            "type": "array",
            "description": "Technologies used by the company",
            "items": {
              "type": "string"
            },
            "example": [
              "Python",
              "Machine Learning",
              "Cloud Computing"
            ]
          },
          "founded_in": {
            "type": "integer",
            "description": "The year the company was founded",
            "example": 1992
          },
          "num_employees": {
            "type": "integer",
            "description": "Exact number of employees",
            "example": 25
          },
          "num_employees_range": {
            "type": "string",
            "description": "The range of the number of employees in the company",
            "example": "11-50"
          },
          "annual_revenue": {
            "type": "integer",
            "description": "The annual revenue of the company in USD",
            "example": 33867000
          },
          "followers_count": {
            "type": "integer",
            "description": "Number of followers on LinkedIn",
            "example": 1500
          },
          "funding_total_usd": {
            "type": "integer",
            "description": "Total funding raised in USD",
            "example": 5000000
          },
          "latest_funding_amount": {
            "type": "integer",
            "description": "Amount of the latest funding round in USD",
            "example": 2000000
          },
          "latest_funding_round": {
            "type": "string",
            "description": "Latest funding round information",
            "example": "Series A"
          },
          "last_funding_round_year": {
            "type": "integer",
            "description": "Year of the last funding round",
            "example": 2023
          },
          "last_funding_round_date": {
            "type": "string",
            "format": "date",
            "description": "Exact date of the latest funding round",
            "example": "2023-09-15"
          },
          "valuation": {
            "type": "integer",
            "description": "Company valuation in USD",
            "example": 50000000
          },
          "funding_rounds": {
            "type": "array",
            "description": "List of funding rounds",
            "items": {
              "$ref": "#/components/schemas/FundingRound"
            }
          },
          "ipo_date": {
            "type": "string",
            "format": "date",
            "description": "Date when the company went public",
            "example": "2021-04-14"
          },
          "has_ipo": {
            "type": "boolean",
            "description": "Indicates if the company has had an Initial Public Offering (IPO)",
            "example": false
          },
          "is_b2b": {
            "type": "boolean",
            "description": "Indicates if the company operates on a Business-to-Business model",
            "example": true
          },
          "is_b2c": {
            "type": "boolean",
            "description": "Indicates if the company operates on a Business-to-Consumer model",
            "example": false
          },
          "is_saas": {
            "type": "boolean",
            "description": "Indicates if the company provides Software as a Service",
            "example": false
          },
          "is_health_tech": {
            "type": "boolean",
            "description": "Indicates if the company operates in health technology",
            "example": false
          },
          "is_hiring": {
            "type": "boolean",
            "description": "Indicates if the company is currently hiring",
            "example": true
          },
          "backed_by_y_combinator": {
            "type": "boolean",
            "description": "Indicates if the company is backed by Y Combinator",
            "example": false
          },
          "icon": {
            "type": "string",
            "description": "The URL to the company's icon image",
            "example": "https://zenprospect-production.s3.amazonaws.com/uploads/pictures/6768a72faa352b0001ee57ef/picture"
          },
          "website_score": {
            "type": "integer",
            "description": "Website quality/trust score",
            "example": 85
          }
        }
      },
      "Experience": {
        "type": "object",
        "description": "Professional work experience",
        "properties": {
          "sequenceNo": {
            "type": "integer",
            "description": "Sequence number for ordering roles",
            "example": 1
          },
          "company": {
            "type": "string",
            "description": "Name of the company for this role",
            "example": "Dragoonitcn"
          },
          "company_domain": {
            "type": "string",
            "description": "Company domain",
            "example": "dragoonitcn.com"
          },
          "title": {
            "type": "string",
            "description": "Job title for the role",
            "example": "Software Engineer II"
          },
          "employment_type": {
            "type": "string",
            "nullable": true,
            "description": "Employment type supplied by the profile source, such as Full-time, Part-time, Contract, Freelance, or Self-employed. With high_freshness=true, refreshed profiles include this field when the source provides it. It may be absent or null when unavailable, including in older indexed profiles.",
            "example": "Contract"
          },
          "start_date": {
            "type": "string",
            "format": "date",
            "description": "Start date of the role",
            "example": "2024-01-01"
          },
          "end_date": {
            "type": "string",
            "format": "date",
            "description": "End date of the role",
            "example": "2024-08-01"
          },
          "duration_years": {
            "type": "number",
            "description": "Duration in years the role was held",
            "example": 0.7
          },
          "age_years": {
            "type": "number",
            "description": "How long ago has the candidate left the role (in years). So essentially it's today - end_date in years.",
            "example": 1.2
          },
          "location": {
            "type": "string",
            "description": "Location of the job",
            "example": "Dayton, Ohio, United States"
          },
          "location_info": {
            "type": "object",
            "description": "Structured location information, including latitude, longitude, and country code",
            "properties": {
              "lat": {
                "type": "number",
                "format": "float",
                "description": "Latitude of the location",
                "example": 37.7749
              },
              "lng": {
                "type": "number",
                "format": "float",
                "description": "Longitude of the location",
                "example": -122.4194
              },
              "country_code": {
                "type": "string",
                "description": "ISO 3166-1 alpha-2 country code (e.g., \"US\", \"IN\")",
                "example": "US"
              }
            },
            "additionalProperties": false
          },
          "experience_summary": {
            "type": "string",
            "description": "Summary of responsibilities and accomplishments in this role",
            "example": "Designed and developed software using .NET..."
          },
          "is_current_experience": {
            "type": "boolean",
            "description": "Whether this is the current role",
            "example": true
          },
          "is_startup_experience": {
            "type": "boolean",
            "description": "Whether this role overlapped the funded company's first seven years",
            "example": true
          }
        }
      },
      "Education": {
        "type": "object",
        "description": "Educational experience",
        "properties": {
          "sequenceNo": {
            "type": "integer",
            "description": "Sequence number for ordering education entries",
            "example": 1
          },
          "university_linkedin_url": {
            "type": "string",
            "description": "LinkedIn URL of the educational institution",
            "example": "https://linkedin.com/school/university-of-california-berkeley"
          },
          "campus": {
            "type": "string",
            "description": "Campus name or location",
            "example": "Berkeley Campus"
          },
          "specialization": {
            "type": "string",
            "description": "Field of specialization or study",
            "example": "Computer Science"
          },
          "specialization_category": {
            "type": "string",
            "description": "Category of specialization or study",
            "example": "Computer Science & IT",
            "enum": [
              "Business & Management",
              "Finance",
              "Engineering",
              "Computer Science & IT",
              "Health & Medicine",
              "Social Sciences",
              "Natural Sciences",
              "Mathematics",
              "Education",
              "Communication & Media",
              "Arts, Design & Architecture",
              "Humanities & Liberal Arts",
              "Law & Criminal Justice"
            ]
          },
          "degree": {
            "type": "array",
            "description": "List of degrees obtained: \"bachelor\", \"master\", \"MBA\", \"doctor\", \"postdoc\"",
            "items": {
              "type": "string",
              "enum": [
                "bachelor",
                "master",
                "MBA",
                "doctor",
                "postdoc"
              ]
            },
            "example": [
              "bachelor",
              "doctor"
            ]
          },
          "major": {
            "type": "string",
            "description": "Major field of study",
            "example": "Computer Science"
          },
          "start_date": {
            "type": "string",
            "format": "date",
            "description": "Start date of the education",
            "example": "2018-09-01"
          },
          "end_date": {
            "type": "string",
            "format": "date",
            "description": "End date of the education",
            "example": "2022-06-01"
          }
        }
      },
      "Certification": {
        "type": "object",
        "description": "Professional certification",
        "properties": {
          "title": {
            "type": "string",
            "description": "Certification title",
            "example": "AWS Certified Solutions Architect"
          }
        }
      },
      "Patent": {
        "type": "object",
        "description": "Patent information",
        "properties": {
          "title": {
            "type": "string",
            "description": "Patent title",
            "example": "Machine Learning Algorithm for Data Processing"
          },
          "reference": {
            "type": "string",
            "description": "Patent reference number",
            "example": "US10123456B2"
          },
          "description": {
            "type": "string",
            "description": "Patent description",
            "example": "A novel approach to processing large datasets using machine learning techniques"
          },
          "date": {
            "type": "string",
            "format": "date",
            "description": "Patent date",
            "example": "2023-05-15"
          },
          "url": {
            "type": "string",
            "description": "URL to patent documentation",
            "example": "https://patents.uspto.gov/patent/10123456"
          }
        }
      },
      "CompanyExperienceGroup": {
        "type": "object",
        "description": "Group of experiences at the same company",
        "properties": {
          "company_info": {
            "$ref": "#/components/schemas/CompanyInfo"
          },
          "company_roles": {
            "type": "array",
            "description": "Roles held by the candidate in this company",
            "items": {
              "$ref": "#/components/schemas/Experience"
            }
          }
        }
      },
      "Profile": {
        "type": "object",
        "description": "Structured profile of the candidate based on StrictProfile schema.",
        "properties": {
          "docid": {
            "type": "string",
            "description": "Unique document ID of the candidate profile.",
            "example": "jason-tysl"
          },
          "linkedin_slug": {
            "type": "string",
            "description": "LinkedIn profile slug/identifier. This is the part that comes after `https://www.linkedin.com/in/` in the profile URL. Because index freshness varies, the slug may not always resolve to a publicly visible profile. If fully up-to-date data is critical, enable the high_freshness parameter.",
            "example": "jason-tysl"
          },
          "first_name": {
            "type": "string",
            "description": "First name of the candidate.",
            "example": "Jason"
          },
          "middle_name": {
            "type": "string",
            "description": "Middle name of the candidate.",
            "example": "Michael"
          },
          "last_name": {
            "type": "string",
            "description": "Last name of the candidate.",
            "example": "Tysl"
          },
          "picture_url": {
            "type": "string",
            "description": "URL to the candidate's profile picture.",
            "example": "https://example.com/profile.jpg"
          },
          "title": {
            "type": "string",
            "description": "Current job title or headline.",
            "example": "Software Engineer II"
          },
          "summary": {
            "type": "string",
            "description": "Professional summary or bio.",
            "example": "Experienced software engineer with expertise in..."
          },
          "gender": {
            "type": "string",
            "description": "Gender of the candidate. As of now only two genders are supported: male, female",
            "enum": [
              "male",
              "female"
            ],
            "example": "male"
          },
          "is_decision_maker": {
            "type": "number",
            "description": "Whether the candidate is a decision maker in their organization 0 means no, 1 means yes.",
            "example": 1
          },
          "languages": {
            "type": "array",
            "description": "List of languages the candidate knows with proficiency levels.",
            "items": {
              "$ref": "#/components/schemas/Language"
            }
          },
          "inferred_languages": {
            "type": "array",
            "description": "Languages inferred from the candidate's profile with proficiency levels.",
            "items": {
              "$ref": "#/components/schemas/Language"
            }
          },
          "location": {
            "type": "string",
            "description": "Current location of the candidate.",
            "example": "Bristol, England, United Kingdom"
          },
          "location_coordinates": {
            "type": "object",
            "description": "Coordinates of the candidate's current location, when available.",
            "properties": {
              "lng": {
                "type": "number",
                "format": "double",
                "example": -2.6
              },
              "lat": {
                "type": "number",
                "format": "double",
                "example": 51.5
              },
              "country_code": {
                "type": "string",
                "description": "Country code associated with the coordinates, when available.",
                "example": "GB"
              }
            }
          },
          "location_country_code": {
            "type": "string",
            "description": "ISO 3166-1 alpha-2 country code of the candidate's current location.",
            "example": "GB"
          },
          "location_regions": {
            "type": "array",
            "description": "Geographic regions associated with the candidate's current location.",
            "items": {
              "type": "string"
            },
            "example": [
              "Europe",
              "EMEA"
            ]
          },
          "is_top_universities": {
            "type": "boolean",
            "description": "Whether the candidate attended a top university.",
            "example": true
          },
          "is_opentowork": {
            "type": "boolean",
            "description": "Whether the candidate is open to work opportunities. Only when realtime profiles are enabled. This field is only available for profiles that opened their \"open to work\" status publicly.",
            "example": false
          },
          "is_hiring": {
            "type": "boolean",
            "description": "Whether the candidate is currently hiring. Only when realtime profiles are enabled.",
            "example": false
          },
          "total_experience_years": {
            "type": "number",
            "description": "Total years of professional experience.",
            "example": 3.5
          },
          "estimated_age": {
            "type": "number",
            "description": "Estimated age of the candidate.",
            "example": 28
          },
          "expertise": {
            "type": "array",
            "description": "Areas of expertise or skills.",
            "items": {
              "type": "string"
            },
            "example": [
              "Python",
              "Machine Learning",
              "Software Engineering"
            ]
          },
          "has_emails": {
            "type": "boolean",
            "description": "Whether the candidate has any email addresses available.",
            "example": true
          },
          "emails": {
            "type": "array",
            "description": "List of all email addresses associated with the candidate.",
            "items": {
              "type": "string"
            },
            "example": [
              "jtysl@agileblue.com",
              "jason.tysl@gmail.com"
            ]
          },
          "best_personal_email": {
            "type": "string",
            "description": "Best personal email address for the candidate.",
            "example": "jason.tysl@gmail.com"
          },
          "best_business_email": {
            "type": "string",
            "description": "Best business email address for the candidate.",
            "example": "jtysl@agileblue.com"
          },
          "personal_emails": {
            "type": "array",
            "description": "List of personal email addresses.",
            "items": {
              "type": "string"
            },
            "example": [
              "jason.tysl@gmail.com"
            ]
          },
          "business_emails": {
            "type": "array",
            "description": "List of business email addresses.",
            "items": {
              "type": "string"
            },
            "example": [
              "jtysl@agileblue.com"
            ]
          },
          "has_phone_numbers": {
            "type": "boolean",
            "description": "Whether the candidate has any phone numbers available.",
            "example": true
          },
          "phone_numbers": {
            "type": "array",
            "description": "List of phone numbers associated with the candidate.",
            "items": {
              "type": "string"
            },
            "example": [
              "+1-555-123-4567"
            ]
          },
          "phone_types": {
            "type": "array",
            "description": "List of phone number types available for the candidate.",
            "items": {
              "type": "string",
              "enum": [
                "mobile"
              ]
            },
            "example": [
              "mobile"
            ]
          },
          "websites": {
            "type": "array",
            "description": "List of social profile URLs found during phone or email enrichment.",
            "items": {
              "type": "string"
            },
            "example": [
              "https://twitter.com/johndoe",
              "https://github.com/johndoe"
            ]
          },
          "followers_count": {
            "type": "integer",
            "description": "Number of followers on LinkedIn.",
            "example": 150
          },
          "connections_count": {
            "type": "integer",
            "description": "Number of connections on LinkedIn.",
            "example": 500
          },
          "experiences": {
            "type": "array",
            "description": "List of professional work experiences grouped by company.",
            "items": {
              "$ref": "#/components/schemas/CompanyExperienceGroup"
            }
          },
          "educations": {
            "type": "array",
            "description": "List of educational experiences.",
            "items": {
              "$ref": "#/components/schemas/Education"
            }
          },
          "awards": {
            "type": "array",
            "description": "List of awards or recognitions received.",
            "items": {
              "type": "string"
            },
            "example": [
              "The Morrill Scholarship Program"
            ]
          },
          "certifications": {
            "type": "array",
            "description": "List of certifications.",
            "items": {
              "$ref": "#/components/schemas/Certification"
            }
          },
          "memberships": {
            "type": "array",
            "description": "List of professional memberships.",
            "items": {
              "type": "object",
              "description": "Membership object with flexible structure.",
              "additionalProperties": true
            }
          },
          "patents": {
            "type": "array",
            "description": "List of patents.",
            "items": {
              "$ref": "#/components/schemas/Patent"
            }
          },
          "publications": {
            "type": "array",
            "description": "List of publications.",
            "items": {
              "type": "object",
              "description": "Publication object with flexible structure.",
              "additionalProperties": true
            }
          }
        }
      }
    },
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT"
      }
    }
  },
  "security": [
    {
      "bearerAuth": []
    }
  ]
}
```